## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond check 1
%global debug_package %{nil}

%global crate wide

Name:           rust-wide
Version:        0.7.32
Release:        %autorelease
Summary:        SIMD-compatible data types

License:        Zlib OR Apache-2.0 OR MIT
URL:            https://crates.io/crates/wide
Source:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
A crate to help you go wide. Specifically, this has portable "wide" data
types that do their best to be SIMD when possible.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-ZLIB.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.32-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Tue Jan 14 2025 Fabio Valentini <decathorpe@gmail.com> - 0.7.32-1
- Update to version 0.7.32; Fixes RHBZ#2336327

* Sat Jan 04 2025 Fabio Valentini <decathorpe@gmail.com> - 0.7.31-1
- Update to version 0.7.31; Fixes RHBZ#2335572

* Tue Nov 26 2024 Fabio Valentini <decathorpe@gmail.com> - 0.7.30-1
- Update to version 0.7.30; Fixes RHBZ#2327325

* Tue Sep 17 2024 Fabio Valentini <decathorpe@gmail.com> - 0.7.28-1
- Update to version 0.7.28; Fixes RHBZ#2304054

* Sun Jul 28 2024 Fabio Valentini <decathorpe@gmail.com> - 0.7.26-1
- Update to version 0.7.26; Fixes RHBZ#2299300

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.25-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jul 06 2024 Fabio Valentini <decathorpe@gmail.com> - 0.7.25-1
- Update to version 0.7.25; Fixes RHBZ#2295589

* Sun Jun 16 2024 Fabio Valentini <decathorpe@gmail.com> - 0.7.24-1
- Update to version 0.7.24; Fixes RHBZ#2291053

* Wed Jun 05 2024 Fabio Valentini <decathorpe@gmail.com> - 0.7.23-1
- Update to version 0.7.23; Fixes RHBZ#2284648

* Tue May 28 2024 Fabio Valentini <decathorpe@gmail.com> - 0.7.21-1
- Update to version 0.7.21; Fixes RHBZ#2282005

* Wed May 08 2024 Fabio Valentini <decathorpe@gmail.com> - 0.7.17-1
- Update to version 0.7.17; Fixes RHBZ#2277876

* Tue Apr 16 2024 Fabio Valentini <decathorpe@gmail.com> - 0.7.16-1
- Update to version 0.7.16; Fixes RHBZ#2275167

* Tue Jan 30 2024 Fabio Valentini <decathorpe@gmail.com> - 0.7.15-1
- Update to version 0.7.15; Fixes RHBZ#2259442

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Nov 10 2023 Fabio Valentini <decathorpe@gmail.com> - 0.7.13-1
- Update to version 0.7.13; Fixes RHBZ#2244598

* Sun Oct 08 2023 Fabio Valentini <decathorpe@gmail.com> - 0.7.12-1
- Update to version 0.7.12; Fixes RHBZ#2241590

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Jul 12 2023 Fabio Valentini <decathorpe@gmail.com> - 0.7.11-1
- Update to version 0.7.11; Fixes RHBZ#2212951

* Fri May 19 2023 Fabio Valentini <decathorpe@gmail.com> - 0.7.9-1
- Update to version 0.7.9; Fixes RHBZ#2208590

* Mon Feb 27 2023 Fabio Valentini <decathorpe@gmail.com> - 0.7.8-1
- Update to version 0.7.8; Fixes RHBZ#2173194

* Fri Feb 03 2023 Fabio Valentini <decathorpe@gmail.com> - 0.7.6-1
- Update to version 0.7.6; Fixes RHBZ#2166698

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Oct 08 2022 Fabio Valentini <decathorpe@gmail.com> - 0.7.5-1
- Update to version 0.7.5; Fixes RHBZ#2132886

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jan 26 2022 Fabio Valentini <decathorpe@gmail.com> - 0.7.4-1
- Update to version 0.7.4; Fixes RHBZ#2044000

* Sat Jan 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Dec 12 2021 Rémi Lauzier <remilauzier@protonmail.com> - 0.7.3-1
- Update to version 0.7.3; Fixes RHBZ#2031563

* Sun Dec 12 2021 Rémi Lauzier <remilauzier@protonmail.com> - 0.7.2-1
- Update to version 0.7.2; Fixes RHBZ#2031557

* Tue Sep 21 2021 Rémi Lauzier <remilauzier@protonmail.com> - 0.7.1-1
- Update to version 0.7.1; Fixes RHBZ#2004971

* Wed Aug 04 2021 Rémi Lauzier <remilauzier@protonmail.com> - 0.7.0-2
- Really update to version 0.7.0; Fixes RHBZ#1989792

* Wed Aug 04 2021 Rémi Lauzier <remilauzier@protonmail.com> - 0.7.0-1
- Update to version 0.7.0; Fixes RHBZ#1989792

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sat Jun 19 2021 Rémi Lauzier <remilauzier@protonmail.com> - 0.6.5-1
- Initial package

## END: Generated by rpmautospec
